import os
from zc.async.testing import wait_for_result
from zope.interface.verify import verifyClass, verifyObject
from zope.component import getUtility
from waeup.kofa.interfaces import IJobManager
from waeup.kofa.students.reports.level_report import (
    get_students_by)
from waeup.kofa.students.tests.test_catalog import CatalogTestSetup
from waeup.kofa.students.tests.test_browser import StudentsFullSetup
from waeup.kofa.testing import FunctionalLayer
from waeup.kofa.tests.test_async import FunctionalAsyncTestCase

class LevelReportTests(CatalogTestSetup):

    layer = FunctionalLayer

    def test_get_students_by(self):
        # we can get a table with one student
        result = get_students_by('fac1', 'dep1', 2010, 100)
        self.assertEqual(result,
            [(u'K1000000', u'1234', u'Bob Tester', 30, 30, 5.0, [])])
        return
